Skip Menu |
 

This queue is for tickets about the Catalyst-Runtime CPAN distribution.

Report information
The Basics
Id: 81121
Status: open
Priority: 0/
Queue: Catalyst-Runtime

People
Owner: bobtfish [...] bobtfish.net
Requestors: ribasushi [...] leporine.io
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: [META] Does not install on 5.8.7
Meta ticket linking to issues in the dep-chain preventing installation on 5.8.7
Download (untitled) / with headers
text/plain 240b
I've just removed MooseX::Types, so with the test suite fix, I think we're good for Catalyst-Runtime. I assume the YAML and IO::Compress tickets are for / via Catalyst::Devel - can you confirm this is the case (or what I'm missing if not)?
Subject: Re: [rt.cpan.org #81121] [META] Does not install on 5.8.7
Date: Tue, 13 Nov 2012 04:34:02 +1100
To: Tomas Doran via RT <bug-Catalyst-Runtime [...] rt.cpan.org>
From: Peter Rabbitson <ribasushi [...] cpan.org>
Download (untitled) / with headers
text/plain 614b
On Mon, Nov 12, 2012 at 12:18:01PM -0500, Tomas Doran via RT wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=81121 > > > I've just removed MooseX::Types, so with the test suite fix, I think > we're good for Catalyst-Runtime. > > I assume the YAML and IO::Compress tickets are for / via Catalyst::Devel > - can you confirm this is the case (or what I'm missing if not)?
Not exactly: http://deps.cpantesters.org/?module=Catalyst::Runtime YAML comes via Plack::Middleware::ReverseProxy IO::Compress via HTTP::Headers In other words there is nothing catalyst itself can do, hence the META tag. Cheers
Download (untitled) / with headers
text/plain 253b
On Mon Nov 12 12:17:59 2012, BOBTFISH wrote: Show quoted text
> I've just removed MooseX::Types, so with the test suite fix, I think > we're good for Catalyst-Runtime.
Also MX::T is a 5.8.5 problem, not a 5.8.7 (and is still pulled in via MooseX::Role::WithOverloading)
Download (untitled) / with headers
text/plain 193b
On Mon Nov 12 12:36:47 2012, RIBASUSHI wrote: Show quoted text
> Also MX::T is a 5.8.5 problem, not a 5.8.7 (and is still pulled in via > MooseX::Role::WithOverloading)
I have fixed this. (::WithOverloading)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.